ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marc De Boeck <mdeb...@gmail.com>
Subject Re: IvyDE latest.integration Unresolved Dependency Issue
Date Fri, 21 Feb 2014 19:35:05 GMT
Rick,

Resolving latest.integration versions in IvyDE works fine for us.

I assume that these are modules that you've built via Ant. So maybe a
trivial question, but have these modules actually been published to a repo
? If they are, is this repo added to the repos that you use to resolve your
dependencies ?

If the modules are actually published on some repo, are these modules in a
different repository than the other modules ? And is this repository in
another network than the others ones ?
In that case you may have to configure the proxy settings in Eclipse
correctly to be able to resolve these modules.

Do you know that you can also activate an Ivy Console in Eclipse, which
generates a similar output and logging as the output produced by your
Ant-build ?

Regards,
Marc




2014-02-20 21:36 GMT+01:00 rickbryant <rick.bryant@gxs.com>:

> Ivy Users,
>
> We just completed integrating Ivy dependency management with our Ant build.
> Our Ant build works wonderfully as Ivy successfully downloads all 100+
> dependencies from our Artifactory repository, all source is then compiled
> properly, and all packages are created properly. However, we just installed
> IvyDE for Eclipse and we receive the following error when running
> Ivy->Retrieve 'dependencies' from the Package Explorer context menu:
> Some projects fail to be resolved
> Impossible to resolve dependencies of com.gxs.csr#;working@TN-BRYANTR2
> unresolved dependency: com.gxs#otx;latest.integration: not found
> unresolved dependency: com.gxs.mbbi#DBCore;latest.integration: not found
> unresolved dependency: com.gxs.dsm#DSMServiceClient;latest.integration: not
> found
> unresolved dependency: com.gxs.tgms.core#tgms-core;latest.integration: not
> found
> unresolved dependency: com.gxs#venus;latest.integration: not found
> unresolved dependency: com.gxs.mbbi#edi2k;latest.integration: not found
>
> IvyDE resolves ALL OTHER dependencies with no issues except the above 6
> dependencies (these are the only ones that we have declared
> rev="latest.integration" in the ivy.xml file). Here are the relevant
> versions installed:
> Eclipse: 4.3.0.I20130605-2000 (Kepler)
> Ivy:      2.3.0.final_20130110142753
> IvyDE:  2.2.0.final-201311091524-RELEASE
>
> Is there some issue with IvyDE resolving latest.integration and how is this
> resolved?
>
> Thanks So Much,
> Rick
>
>
>
> --
> View this message in context:
> http://apache-ivy.996301.n3.nabble.com/IvyDE-latest-integration-Unresolved-Dependency-Issue-tp9636.html
> Sent from the ivy-user mailing list archive at Nabble.com.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message